Get gathering
curl --request GET \
--url https://api.transparencyhubnetwork.ai/api/v1/gatherings/{gathering_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.transparencyhubnetwork.ai/api/v1/gatherings/{gathering_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.transparencyhubnetwork.ai/api/v1/gatherings/{gathering_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.transparencyhubnetwork.ai/api/v1/gatherings/{gathering_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.transparencyhubnetwork.ai/api/v1/gatherings/{gathering_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.transparencyhubnetwork.ai/api/v1/gatherings/{gathering_id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.transparencyhubnetwork.ai/api/v1/gatherings/{gathering_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": 11,
"title": "Reunion Dinner",
"description": null,
"source": "eventbrite",
"status": "live",
"timezone": "Africa/Lagos",
"venue_name": "Eko Hotel",
"venue_address": "Victoria Island, Lagos",
"registration_url": "https://www.eventbrite.com/e/123",
"capacity": 200,
"is_free": false,
"currency": "NGN",
"image_url": null,
"start_date_time": "2026-11-20T18:00:00Z",
"end_date_time": "2026-11-20T22:00:00Z",
"createddate": "2026-08-01T00:00:00Z",
"lastmodifieddate": null
}
}
Gatherings
Get gathering
One gathering.
GET
/
v1
/
gatherings
/
{gathering_id}
Get gathering
curl --request GET \
--url https://api.transparencyhubnetwork.ai/api/v1/gatherings/{gathering_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.transparencyhubnetwork.ai/api/v1/gatherings/{gathering_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.transparencyhubnetwork.ai/api/v1/gatherings/{gathering_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.transparencyhubnetwork.ai/api/v1/gatherings/{gathering_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.transparencyhubnetwork.ai/api/v1/gatherings/{gathering_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.transparencyhubnetwork.ai/api/v1/gatherings/{gathering_id}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.transparencyhubnetwork.ai/api/v1/gatherings/{gathering_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "success",
"data": {
"id": 11,
"title": "Reunion Dinner",
"description": null,
"source": "eventbrite",
"status": "live",
"timezone": "Africa/Lagos",
"venue_name": "Eko Hotel",
"venue_address": "Victoria Island, Lagos",
"registration_url": "https://www.eventbrite.com/e/123",
"capacity": 200,
"is_free": false,
"currency": "NGN",
"image_url": null,
"start_date_time": "2026-11-20T18:00:00Z",
"end_date_time": "2026-11-20T22:00:00Z",
"createddate": "2026-08-01T00:00:00Z",
"lastmodifieddate": null
}
}
One gathering.
Required scope:
gatherings:read
{
"status": "success",
"data": {
"id": 11,
"title": "Reunion Dinner",
"description": null,
"source": "eventbrite",
"status": "live",
"timezone": "Africa/Lagos",
"venue_name": "Eko Hotel",
"venue_address": "Victoria Island, Lagos",
"registration_url": "https://www.eventbrite.com/e/123",
"capacity": 200,
"is_free": false,
"currency": "NGN",
"image_url": null,
"start_date_time": "2026-11-20T18:00:00Z",
"end_date_time": "2026-11-20T22:00:00Z",
"createddate": "2026-08-01T00:00:00Z",
"lastmodifieddate": null
}
}
Authorizations
ApiKeyAuthBearerAuth
Path Parameters
Query Parameters
Required for association-wide keys; must match the key's chapter for chapter-bound keys.

